Mail archive
alpine-aports

[alpine-aports] [PATCH 2/3] main/debootstrap: add doc subpackage

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Tue, 18 Aug 2015 20:46:26 +0200

---
 main/debootstrap/APKBUILD | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)
diff --git a/main/debootstrap/APKBUILD b/main/debootstrap/APKBUILD
index 787d95b..d8d2137 100644
--- a/main/debootstrap/APKBUILD
+++ b/main/debootstrap/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=debootstrap
 pkgver=1.0.72
-pkgrel=0
+pkgrel=1
 pkgdesc="Debian/Ubuntu bootstrap scripts"
 url="http://packages.qa.debian.org/d/debootstrap.html"
 arch="all"
_at_@ -10,7 +10,7 @@ license="GPL2"
 depends="dpkg tar"
 makedepends=""
 install=""
-subpackages=""
+subpackages="$pkgname-doc"
 source="http://ftp.de.debian.org/debian/pool/main/d/debootstrap/debootstrap_$pkgver.tar.gz
 	pkgdetails.c
 	makedev.sh"
_at_@ -30,7 +30,10 @@ package() {
 		devices.tar.gz || return 1
 
 	make DESTDIR="$pkgdir" install || return 1
-	install -Dm755 pkgdetails "$pkgdir"/usr/lib/debootstrap/pkgdetails
+	install -Dm755 pkgdetails \
+		"$pkgdir"/usr/lib/debootstrap/pkgdetails || return 1
+	install -Dm644 $pkgname.8 \
+		"$pkgdir"/usr/share/man/man8/$pkgname.8 || return 1
 }
 
 md5sums="0cacf6e3bd8b566e921d2a326d6fd2bd  debootstrap_1.0.72.tar.gz
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Aug 18 2015 - 20:46:26 GMT